import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_hhh_test/flutter_hhh_test.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_hhh_test');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await FlutterHhhTest.platformVersion, '42');
  });
}
